import { jsx } from "react/jsx-runtime";
import { TokenKAT as TokenKAT$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenKAT = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "KAT", "data-name": "TokenKAT", ...props, children: /* @__PURE__ */ jsx(TokenKAT$1, { variant }) });
  }
);
TokenKAT.displayName = "TokenKAT";
Object.assign(TokenKAT, { isGdsIcon: true });
export {
  TokenKAT
};
